gnome-mag: MagnifierOptions Struct Reference

# MagnifierOptions Struct Reference

## Data Fields
gchar * | target_display
gchar * | source_display
gchar * | cursor_set
gchar * | smoothing_type
gdouble | zoom_factor
gdouble | zoom_factor_x
gdouble | zoom_factor_y
gint | refresh_time
gint | mouse_poll_time
gint | cursor_size
gdouble | cursor_scale_factor
gint64 | cursor_color
gboolean | vertical_split
gboolean | horizontal_split
gboolean | fullscreen
gboolean | mouse_follow
gboolean | invert_image
gboolean | no_initial_region
gint | timing_iterations
gboolean | timing_output
gint | timing_delta_x
gint | timing_delta_y
gint | timing_pan_rate
gboolean | smooth_scroll
gint | border_width
gint64 | border_color
gboolean | test_pattern
gboolean | is_override_redirect
gboolean | ignore_damage
gboolean | print_version
gboolean | hide_pointer
gboolean | show_crosswires

## Detailed Description

Definition at line 44 of file magnifier-main.c.

## Field Documentation

gchar* MagnifierOptions::target_display

Definition at line 45 of file magnifier-main.c.

Referenced by main().

gchar* MagnifierOptions::source_display

Definition at line 46 of file magnifier-main.c.

Referenced by main().

gchar* MagnifierOptions::cursor_set

Definition at line 47 of file magnifier-main.c.

Referenced by main().

gchar* MagnifierOptions::smoothing_type

Definition at line 48 of file magnifier-main.c.

Referenced by main().

gdouble MagnifierOptions::zoom_factor

Definition at line 49 of file magnifier-main.c.

Referenced by magnifier_main_test_image(), and main().

gdouble MagnifierOptions::zoom_factor_x

Definition at line 50 of file magnifier-main.c.

gdouble MagnifierOptions::zoom_factor_y

Definition at line 51 of file magnifier-main.c.

gint MagnifierOptions::refresh_time

Definition at line 52 of file magnifier-main.c.

Referenced by main().

gint MagnifierOptions::mouse_poll_time

Definition at line 53 of file magnifier-main.c.

Referenced by main().

gint MagnifierOptions::cursor_size

Definition at line 54 of file magnifier-main.c.

Referenced by main().

gdouble MagnifierOptions::cursor_scale_factor

Definition at line 55 of file magnifier-main.c.

Referenced by main().

gint64 MagnifierOptions::cursor_color

Definition at line 56 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::vertical_split

Definition at line 57 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::horizontal_split

Definition at line 58 of file magnifier-main.c.

Referenced by magnifier_main_test_image(), and main().

gboolean MagnifierOptions::fullscreen

Definition at line 59 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::mouse_follow

Definition at line 60 of file magnifier-main.c.

Referenced by magnifier_main_pan_image().

gboolean MagnifierOptions::invert_image

Definition at line 61 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::no_initial_region

Definition at line 62 of file magnifier-main.c.

gint MagnifierOptions::timing_iterations

Definition at line 63 of file magnifier-main.c.

Referenced by magnifier_main_test_image(), and main().

gboolean MagnifierOptions::timing_output

Definition at line 64 of file magnifier-main.c.

Referenced by main().

gint MagnifierOptions::timing_delta_x

Definition at line 65 of file magnifier-main.c.

Referenced by magnifier_main_test_image().

gint MagnifierOptions::timing_delta_y

Definition at line 66 of file magnifier-main.c.

Referenced by magnifier_main_test_image().

gint MagnifierOptions::timing_pan_rate

Definition at line 67 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::smooth_scroll

Definition at line 68 of file magnifier-main.c.

Referenced by main().

gint MagnifierOptions::border_width

Definition at line 69 of file magnifier-main.c.

Referenced by main().

gint64 MagnifierOptions::border_color

Definition at line 70 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::test_pattern

Definition at line 71 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::is_override_redirect

Definition at line 72 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::ignore_damage

Definition at line 73 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::print_version

Definition at line 77 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::hide_pointer

Definition at line 78 of file magnifier-main.c.

Referenced by main().

gboolean MagnifierOptions::show_crosswires

Definition at line 79 of file magnifier-main.c.

Referenced by main().

The documentation for this struct was generated from the following file:

- magnifier-main.c